std::thread(3)

NAME
std::thread -

SYNOPSIS

  Classes
class id

  Public Types
typedef shared_ptr< _Impl_base > __shared_base_type
typedef __gthread_t native_handle_type

  Public Member Functions
thread (thread &)=delete
thread (const thread &)=delete
thread (thread &&__t) noexcept
template<typename _Callable , typename... _Args> thread (_Callable &&__f, _Args &&...__args)
void detach ()
thread::id get_id () const noexcept
void join ()
bool joinable () const noexcept
native_handle_type native_handle ()
thread & operator= (const thread &)=delete
thread & operator= (thread &&__t) noexcept
void swap (thread &__t) noexcept

  Static Public Member Functions
static unsigned int hardware_concurrency () noexcept

Detailed Description

thread

Definition at line 60 of file thread.

Member Function Documentation

  native_handle_type std::thread::native_handle () [inline]

Precondition:
    thread is joinable

Definition at line 177 of file thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.